/**
 * Example of how you could re-use GROQ queries across different contexts with Javascript.
 * As your schema evolves, this pattern will be useful to keep your data in sync across all surfaces.
 */
export function getPostsQuery(extraFilter) {
    return `*[_type == "project"] {
      _id,
      _type,
      _createdAt,
      _updatedAt,
      title,
      slug,
      coverImage {
        ...,
        asset->
      },
      duration {
        start,
        end
      },
      client,
      site,
      tags[],
      body
    }`
  }

  
  // Insert the return component calling `getContent()` below
  /**
   * You can also re-use parts of projections as fragments.
   * In this case, we're defining that, to render an author card, we need their name, slug & image.
   */
  export const POST_CARD_FRAGMENT = `
  _id,
  _type,
  _createdAt,
  _updatedAt,
  title,
  slug,
  coverImage
  `