import { client } from '$lib/sanity/client.js'
import { POST_CARD_FRAGMENT, getPostsQuery } from '$lib/queries.js'

// Fetch all valid posts & authors to display in the homepage
export async function load() {
  const data = await client.fetch(/* groq */ `{
		"posts": ${getPostsQuery()},
		"post": *[_type == "post"] {
			${POST_CARD_FRAGMENT}
		}
  }`)

  if (data) {
    return {
      status: 200,
      body: data
    }
  }

  return {
    status: 404
  }
}